# Class MsaRowTitleComponent

#### Hierarchy

- Component<MsaRowTitleInterface, MsaRowTitleState>
  - MsaRowTitleComponent

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:34

#####
Index

### Constructors

constructor

### Properties

ACTIVE_COLOR
INACTIVE_COLOR
configData
state
subscription

### Methods

altClick
block
click
componentDidMount
componentWillUnmount
cursor
hover
modelChange
render
subscribe

## Constructors

### constructor

- new MsaRowTitleComponent(props): MsaRowTitleComponent

- #### Parameters

  - ##### props: MsaRowTitleInterface

  #### Returns MsaRowTitleComponent

  Overrides React.Component <MsaRowTitleInterface, MsaRowTitleState>.constructor

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:48

## Properties

### `Private` `Readonly` ACTIVE_COLOR

ACTIVE_COLOR: string = "rgb(51, 122, 183)"

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:39

### `Private` `Readonly` INACTIVE_COLOR

INACTIVE_COLOR: string = "#ccc"

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:38

### `Private` `Readonly` configData

configData: RcsbFvRowConfigInterface

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:36

### `Readonly` state

state: {
blocked: boolean;
disabled: boolean;
expandTitle: boolean;
titleColor: string;
} = ...

#### Type declaration

- ##### blocked: boolean

- ##### disabled: boolean

- ##### expandTitle: boolean

- ##### titleColor: string

Overrides React.Component.state

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:41

### `Private` subscription

subscription: Subscription

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:37

## Methods

### `Private` altClick

- altClick(e): void

- #### Parameters

  - ##### e: MouseEvent<Element, MouseEvent>

  #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:151

### `Private` block

- block(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:103

### `Private` click

- click(e): void

- #### Parameters

  - ##### e: MouseEvent<Element, MouseEvent>

  #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:127

### componentDidMount

- componentDidMount(): void

- #### Returns void

  Overrides React.Component.componentDidMount

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:85

### componentWillUnmount

- componentWillUnmount(): void

- #### Returns void

  Overrides React.Component.componentWillUnmount

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:90

### `Private` cursor

- cursor(): undefined | Cursor

- #### Returns undefined | Cursor

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:145

### `Private` hover

- hover(flag): void

- #### Parameters

  - ##### flag: boolean

  #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:120

### `Private` modelChange

- modelChange(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:107

### render

- render(): Element

- #### Returns Element

  Overrides React.Component.render

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:53

### `Private` subscribe

- subscribe(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleComponent.tsx:94

Generated using TypeDoc